Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class PIF.Record

    java.lang.Object
      com.xensource.xenapi.PIF.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  PIF

    public static class PIF.Record

extends Object
implements Types.Record

Represents all the fields in a PIF

Field Summary
`Set<Bond>` | `bondMasterOf` Indicates this PIF represents the results of a bond
`Bond` | `bondSlaveOf` Indicates which bond this interface is part of
`Boolean` | `currentlyAttached` true if this interface is online
`String` | `device` machine-readable name of the interface (e.g.
`Boolean` | `disallowUnplug` Prevent this PIF from being unplugged; set this to notify the management tool-stack that the PIF has a special use and should not be unplugged under any circumstances (e.g.
`String` | `DNS` IP address of DNS servers to use
`String` | `gateway` IP gateway
`Host` | `host` physical machine to which this pif is connected
`String` | `IP` IP address
`Types.IpConfigurationMode` | `ipConfigurationMode` Sets if and how this interface gets an IP address
`Set<String>` | `IPv6` IPv6 address
`Types.Ipv6ConfigurationMode` | `ipv6ConfigurationMode` Sets if and how this interface gets an IPv6 address
`String` | `ipv6Gateway` IPv6 gateway
`String` | `MAC` ethernet MAC address of physical interface
`Boolean` | `management` Indicates whether the control software is listening for connections on this interface
`PIFMetrics` | `metrics` metrics associated with this PIF
`Long` | `MTU` MTU in octets
`String` | `netmask` IP netmask
`Network` | `network` virtual network to which this pif is connected
`Map<String,String>` | `otherConfig` Additional configuration
`Boolean` | `physical` true if this represents a physical network interface
`Types.PrimaryAddressType` | `primaryAddressType` Which protocol should define the primary address of this interface
`Set<Tunnel>` | `tunnelAccessPIFOf` Indicates to which tunnel this PIF gives access
`Set<Tunnel>` | `tunnelTransportPIFOf` Indicates to which tunnel this PIF provides transport
`String` | `uuid` Unique identifier/object reference
`Long` | `VLAN` VLAN tag for all traffic passing through this interface
`VLAN` | `VLANMasterOf` Indicates wich VLAN this interface receives untagged traffic from
`Set<VLAN>` | `VLANSlaveOf` Indicates which VLANs this interface transmits tagged traffic to

Constructor Summary
`PIF.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a PIF.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### device

    public String device

  machine-readable name of the interface (e.g. eth0)

### network

    public Network network

  virtual network to which this pif is connected

### host

    public Host host

  physical machine to which this pif is connected

### MAC

    public String MAC

  ethernet MAC address of physical interface

### MTU

    public Long MTU

  MTU in octets

### VLAN

    public Long VLAN

  VLAN tag for all traffic passing through this interface

### metrics

    public PIFMetrics metrics

  metrics associated with this PIF

### physical

    public Boolean physical

  true if this represents a physical network interface

### currentlyAttached

    public Boolean currentlyAttached

  true if this interface is online

### ipConfigurationMode

    public Types.IpConfigurationMode ipConfigurationMode

  Sets if and how this interface gets an IP address

### IP

    public String IP

  IP address

### netmask

    public String netmask

  IP netmask

### gateway

    public String gateway

  IP gateway

### DNS

    public String DNS

  IP address of DNS servers to use

### bondSlaveOf

    public Bond bondSlaveOf

  Indicates which bond this interface is part of

### bondMasterOf

    public Set<Bond> bondMasterOf

  Indicates this PIF represents the results of a bond

### VLANMasterOf

    public VLAN VLANMasterOf

  Indicates wich VLAN this interface receives untagged traffic from

### VLANSlaveOf

    public Set<VLAN> VLANSlaveOf

  Indicates which VLANs this interface transmits tagged traffic to

### management

    public Boolean management

  Indicates whether the control software is listening for connections on this interface

### otherConfig

    public Map<String,String> otherConfig

  Additional configuration

### disallowUnplug

    public Boolean disallowUnplug

  Prevent this PIF from being unplugged; set this to notify the management tool-stack that the PIF has a special use and should not be unplugged under any circumstances (e.g. because you're running storage traffic over it)

### tunnelAccessPIFOf

    public Set<Tunnel> tunnelAccessPIFOf

  Indicates to which tunnel this PIF gives access

### tunnelTransportPIFOf

    public Set<Tunnel> tunnelTransportPIFOf

  Indicates to which tunnel this PIF provides transport

### ipv6ConfigurationMode

    public Types.Ipv6ConfigurationMode ipv6ConfigurationMode

  Sets if and how this interface gets an IPv6 address

### IPv6

    public Set<String> IPv6

  IPv6 address

### ipv6Gateway

    public String ipv6Gateway

  IPv6 gateway

### primaryAddressType

    public Types.PrimaryAddressType primaryAddressType

  Which protocol should define the primary address of this interface

Constructor Detail

### PIF.Record

    public PIF.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a PIF.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD